$Id: README,v 2.0 2004/11/09 12:52:49 bernhard Exp $

Displays text using TrueType fonts.
===================================

Install
-------

1. To use this module, install FreeType2 first.

2. You should know where the required files are installed:

	ft2build.h:			e.g., /usr/local/include/ft2build.h
	freetype2 header directory:	e.g., /usr/local/include/freetype2
	libfreetype.a:			e.g., /usr/local/lib/libfreetype.a

3. Add configure option like the following:

	./configure --with-includes=/usr/local/include \
		--with-freetype \
		--with-freetype-includes=/usr/local/include/freetype2 \
		--with-freetype-libs=/usr/local/lib

4. Install GRASS.

5. Change directory to src/display/d.text.freetype and run:

	gmake5 -i
	gmakelinks5 -i

6. Update $(GISBASE)/etc/freetypecap file to indicate your own files.


Usage
-----

d.text.freetype text="text"	# The default font in freetypecap is used.

If path, charset, color, or size is given, the value of the default font
will be overrided.


Bugs
----

With some PCF files, it cannot handle bitmap images correctly.
Could anyone fix this?


Huidae Cho <grass4u@gmail.com>
2002/04/29

